Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05919 Graphics Minor Always Apr 12, 2015, 21:38 Dec 1, 2021, 23:41
Tester izius View Status Public Platform MAME (Official Binary)
Assigned To Haze Resolution Fixed OS
Status [?] Resolved Driver gaelco.cpp
Version 0.160 Fixed in Version 0.239 Build
Fixed in Git Commit 22fd521 Github Pull Request #
Summary 05919: thoop: Sprite priority bugs with background objects
Description I seem to recall a few points in which the background objects should cover the sprites. See the attached file section for details.
Steps To Reproduce Reach the parts listed below.

Level 1:
1) roughly 1/3 of the level - the lake of acid with the rising/lowering platforms;
2) roughly halfway the level - the part with the dashing red demons on the grate;
3) the end of level boss, upon entering its room;
4) after defeating the boss, when the character jumps in the sewers;
5) the screen after level complete.

Level 4:
6) roughly 3/4 of the level - the part with the trees in foreground and the monsters that rise from the terrain.
Additional Information Marked as possible, since I found no PCB videos on the internet, and it's been 20+ years since I last played a thoop machine.
EDIT: finally found a PCB video; removed the Possible flag (still not sure about point #6, but all the others are confirmed).

Github Commit
Flags Verified with Original
Regression Version
Affected Sets / Systems thoop
Attached Files
png file icon 0000.png (14,166 bytes) Apr 12, 2015, 21:38 Uploaded by izius
The platforms shouldn't be visible below the acid level
izius
png file icon 0001.png (11,583 bytes) Apr 12, 2015, 21:39 Uploaded by izius
The red monsters should be partially hidden behind the purple grate
izius
png file icon 0002.png (12,050 bytes) Apr 12, 2015, 21:40 Uploaded by izius
The 1st boss should be completely hidden by the red container (and thus invisible) when you arrive in its room
izius
png file icon 0003.png (10,736 bytes) Apr 12, 2015, 21:41 Uploaded by izius
After defeating the 1st boss, the character should be hidden by the background when jumping thru the container
izius
png file icon 0004.png (14,604 bytes) Apr 12, 2015, 21:42 Uploaded by izius
The red cross should be possibly over the number
izius
png file icon 0005.png (25,279 bytes) Apr 12, 2015, 21:43 Uploaded by izius
The tree should possibly cover the character, and the monster should possibly be covered by the ground
izius
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.12508
Osso
Developer
Apr 3, 2016, 07:25
FWIW switching from screen_update_maniacsq to screen_update_bigkarnk fixes all the problems but nr. 2.
User avatar
No.17224
MetalGod
Senior Tester
Nov 28, 2019, 20:50
edited on: Nov 28, 2019, 21:37
This french guy claims to be playing in a pcb, he even mention some technical stuff related to the pcb.... but his gameplay shows the same issues mentioned in this report.
Could MAME be missing a newer version of the game with those issues resolved?
User avatar
No.17225
Haze
Senior Tester
Nov 29, 2019, 16:34
edited on: Nov 29, 2019, 16:37
I think it's more likely something is broken / incorrectly replaced on his PCB. We've seen plenty of PCB videos without the glitches, but showing the same bootup versions.
(or he's actually just showing a PCB and recording from MAME in this instance, even if he claims otherwise)
User avatar
No.17226
MetalGod
Senior Tester
Nov 29, 2019, 21:01
edited on: Nov 29, 2019, 21:02
Ok.
On the other hand, Osso said in his comment that there's a way to fix the most of the issues.
User avatar
No.19515
MetalGod
Senior Tester
Dec 1, 2021, 23:38
edited on: Dec 1, 2021, 23:39
I've tested this on a WIP version of MAME. It is all fixed, including level four priorities.
Fixed by Haze